{% extends "main-template.html" %}{% load static %}
{% block title %}Mantenedor Contacto Pet Shop{% endblock %}
{% block content %}
<div class="modal-header d-block w-100 text-center">
    <h2><i class="fa-solid fa-users-rectangle"></i> Mantenedor de Contacto</h2>
</div>
<table class="table">
    <thead>
        <tr>
            <th class="align-middle text-center" scope="col">Codigo</th>
            <th class="align-middle text-center" scope="col">RUN</th>
            <th class="align-middle text-center" scope="col">DV</th>
            <th class="align-middle text-center" scope="col">Nombres</th>
            <th class="align-middle text-center" scope="col">Apellido Paterno</th>
            <th class="align-middle text-center" scope="col">Apellido Materno</th>
            <th class="align-middle text-center" scope="col">Email</th>
            <th class="align-middle text-center" scope="col">Telefono</th>
            <th class="align-middle text-center" scope="col">Asunto</th>
        </tr>
    </thead>
    <tbody>
        {% for c in contactos %}
            <tr>
                <th scope="row">{{c.codigo}}</th>
                    <td class="align-middle text-center">{{c.run}}</td>
                    <td class="align-middle text-center">{{c.dv}}</td>
                    <td class="align-middle text-center">{{c.nombres}}</td>
                    <td class="align-middle text-center">{{c.apellido_paterno}}</td>
                    <td class="align-middle text-center">{{c.apellido_materno}}</td>
                    <td class="align-middle text-center">{{c.email}}</td>
                    <td class="align-middle text-center">{{c.telefono}}</td>
                    <td class="align-middle text-center">{{c.asunto}}</td>
                <td class="align-middle text-center">
                    <button type="button" class="btn btn-danger" 
                        data-bs-toggle="modal" 
                        data-bs-target="#mdl-{{c.codigo}}"><i class="fa-regular fa-trash-can"></i>
                    </button>
                    <div id="mdl-{{c.codigo}}" class="modal" tabindex="-1">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title">Eliminar Contacto <b>#{{c.codigo}}</b></h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <p>¿Estas seguro que deseas eliminar el contacto <br> <b>#{{c.codigo}} - {{c.nombres}} {{ c.apellido_paterno }}</b> - <b><i>{{c.run}}-{{c.dv}}</i></b>?</p>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                                    <form method="GET" action="">
                                        <input name="codigo" value="{{c.codigo}}" hidden />
                                        <button type="submit" class="btn btn-danger">Aceptar</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                <button type="button" class="btn btn-warning" 
                    data-bs-toggle="modal" 
                    data-bs-target="#mdl-update-{{c.codigo}}"><i class="fa-regular fa-pen-to-square"></i>
                </button>
                <div id="mdl-update-{{c.codigo}}" class="modal" tabindex="-1">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title">Actualizar Contacto</h5>
                                <botton type="button" class="btn-close" data-bs-dismiss="modal" arial-label="Close">
                                </botton>
                            </div>
                            <div class="modal-body">
                                <form id="frm-contacto" method="POST" action="">{% csrf_token %}
                                    <div class="container" style="max-width:700px !important">
                                        <input type="txt-id" name="codigo" value="{{c.codigo}}">
                                        <div class="form-group row">
                                            <div class="col-sm-9">
                                                <label for="txt-run" class="form-label">RUN</label>
                                                <input id="txt-run" name="run" value="{{c.run}}" disabled class="form-control" placeholder="RUN" />
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="txt-dv" class="form-label">DV</label>
                                                <input id="txt-dv" name="dv" value="{{c.dv}}" disabled class="form-control" placeholder="DV" />
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <div class="col-sm-6">
                                                <label for="txt-nombres" class="form-label">NOMBRES</label>
                                                <input id="txt-nombres" name="nombres" value="{{c.nombres}}" class="form-control" placeholder="NOMBRES" />        
                                            </div>
                                            <div class="col-sm-6">
                                                <label for="txt-apellido-paterno" class="form-label">APELLIDO PATERNO</label>
                                                <input id="txt-apellido-paterno" name="apellido_paterno" value="{{c.apellido_paterno}}" class="form-control" placeholder="APELLIDO PATERNO" />        
                                            </div>   
                                        </div>
                                        <div class="form-group row">
                                            <div class="col-sm-6">
                                                <label for="txt-apellido-materno" class="form-label">APELLIDO MATERNO</label>
                                                <input id="txt-apellido-materno" name="apellido_materno" value="{{c.apellido_materno}}" class="form-control" placeholder="APELLIDO MATERNO" />        
                                            </div> 
                                        </div>
                                        <div class="form-group row">
                                            <div class="col-sm-6">
                                                <label for="txt-email" class="form-label">EMAIL</label>
                                                <input id="txt-email" name="email" value="{{c.email}}" class="form-control" placeholder="EMAIL" />        
                                            </div>       
                                            <div class="col-sm-6">
                                                <label for="txt-telefono" class="form-label">TELÉFONO</label>
                                                <input id="txt-telefono" name="telefono" value="{{c.telefono}}" class="form-control" placeholder="TELÉFONO" />        
                                            </div> 
                                        </div>    
                                        <div class="form-group row">
                                            <div class="col-sm-12">
                                                <label for="txt-asunto" class="form-label">ASUNTO</label>
                                                <textarea id="txt-asunto" name="asunto" value="{{c.asunto}}" class="form-control"></textarea>
                                            </div> 
                                        </div>
                                        <div class="form-group row">        
                                            <button type="submit" style="margin-top: 15px;" 
                                                            class=" col-sm-3 btn btn-primary"
                                                            >ENVIAR</button>
                                        </div>         
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </td>
            </tr>
        {% endfor %}
    </tbody>
</table>

{% endblock %}